Page MenuHomePhabricator

Basic Helm chart covering just Envoy, no rate limiting
Closed, ResolvedPublic

Description

Description
Gain better understanding of established practices using Envoy in WMF infrastructure.

Validate understanding with Giuseppe, Reuven and Alexandros.

Produce first version of Helm chart to provide basic routing functionality of API Gateway as per design documentation

Done Criteria

  • Review existing WMF repos for Envoy config
  • Naive Helm chart implementation providing basic routing - review in progress
  • If necessary, package Envoy 1.14.2 and create container - being done as part of T256843
  • Standardised method to add additional routes in Helm config - implemented in review

Event Timeline

WDoranWMF created this task.Jun 9 2020, 4:15 PM
WDoranWMF triaged this task as Medium priority.Jun 9 2020, 4:44 PM
Joe added a subscriber: Joe.Jun 10 2020, 11:39 AM

You might want to take a look at the approach I'm taking in https://gerrit.wikimedia.org/r/c/operations/deployment-charts/+/582792

hnowlan updated the task description. (Show Details)Jun 22 2020, 3:47 PM

Change 609808 had a related patch set uploaded (by Hnowlan; owner: Hnowlan):
[operations/deployment-charts@master] api-gateway: Basic envoy chart WIP

https://gerrit.wikimedia.org/r/609808

hnowlan updated the task description. (Show Details)Jul 8 2020, 1:22 PM
hnowlan claimed this task.Jul 8 2020, 4:14 PM

Change 613650 had a related patch set uploaded (by Hnowlan; owner: Hnowlan):
[operations/deployment-charts@master] api-gateway: Restrict unauthenticated write HTTP methods, permit read HTTP methods

https://gerrit.wikimedia.org/r/613650

hnowlan updated the task description. (Show Details)Jul 21 2020, 10:34 AM

Change 615233 had a related patch set uploaded (by Hnowlan; owner: Hnowlan):
[operations/deployment-charts@master] ratelimit: create subchart in api-gateway

https://gerrit.wikimedia.org/r/615233

Change 615521 had a related patch set uploaded (by Hnowlan; owner: Hnowlan):
[operations/puppet@production] kubernetes: add namespace for api-gateway

https://gerrit.wikimedia.org/r/615521

Change 615521 merged by Hnowlan:
[operations/puppet@production] kubernetes: add namespace for api-gateway

https://gerrit.wikimedia.org/r/615521

Change 616121 had a related patch set uploaded (by Hnowlan; owner: Hnowlan):
[operations/deployment-charts@master] api-gateway: proxy clusters interface through Envoy

https://gerrit.wikimedia.org/r/616121

Change 616467 had a related patch set uploaded (by Hnowlan; owner: Hnowlan):
[operations/deployment-charts@master] api-gateway: add helmfile.d configuration

https://gerrit.wikimedia.org/r/616467

Change 616865 had a related patch set uploaded (by Hnowlan; owner: Hnowlan):
[operations/docker-images/production-images@master] envoy-future: new image for future versions of Envoy

https://gerrit.wikimedia.org/r/616865

Change 616865 merged by Hnowlan:
[operations/docker-images/production-images@master] envoy-future: new image for future versions of Envoy

https://gerrit.wikimedia.org/r/616865

Change 609808 merged by jenkins-bot:
[operations/deployment-charts@master] api-gateway: Basic envoy chart

https://gerrit.wikimedia.org/r/609808

Change 616467 merged by jenkins-bot:
[operations/deployment-charts@master] api-gateway: add helmfile.d configuration

https://gerrit.wikimedia.org/r/616467

Change 618254 had a related patch set uploaded (by Hnowlan; owner: Hnowlan):
[labs/private@master] api-gateway: add dummy tokens

https://gerrit.wikimedia.org/r/618254

Change 618254 merged by Hnowlan:
[labs/private@master] api-gateway: add dummy tokens

https://gerrit.wikimedia.org/r/618254

Change 618355 had a related patch set uploaded (by Hnowlan; owner: Hnowlan):
[operations/deployment-charts@master] api-gatway: while testing, don't use a http liveness check

https://gerrit.wikimedia.org/r/618355

Change 618355 merged by jenkins-bot:
[operations/deployment-charts@master] api-gatway: while testing, don't use a http liveness check

https://gerrit.wikimedia.org/r/618355

Change 618358 had a related patch set uploaded (by Hnowlan; owner: Hnowlan):
[operations/deployment-charts@master] api-gateway: bump chart version

https://gerrit.wikimedia.org/r/618358

Change 618358 merged by jenkins-bot:
[operations/deployment-charts@master] api-gateway: bump chart version

https://gerrit.wikimedia.org/r/618358

Change 618362 had a related patch set uploaded (by Hnowlan; owner: Hnowlan):
[operations/deployment-charts@master] api-gateway: enable routing rules

https://gerrit.wikimedia.org/r/618362

Change 618362 merged by jenkins-bot:
[operations/deployment-charts@master] api-gateway: enable routing rules

https://gerrit.wikimedia.org/r/618362

Change 618512 had a related patch set uploaded (by Hnowlan; owner: Hnowlan):
[operations/deployment-charts@master] api-gateway: change deployment to production

https://gerrit.wikimedia.org/r/618512

hnowlan updated the task description. (Show Details)Aug 5 2020, 10:42 AM
hnowlan moved this task from Waiting for Review to Done on the Platform Team Workboards (Green) board.

Change 618512 merged by jenkins-bot:
[operations/deployment-charts@master] api-gateway: change deployment to production

https://gerrit.wikimedia.org/r/618512

Change 626649 had a related patch set uploaded (by Hnowlan; owner: Hnowlan):
[operations/deployment-charts@master] api-gateway: add Authorization header to access-control-allow-headers

https://gerrit.wikimedia.org/r/626649

Change 626649 merged by jenkins-bot:
[operations/deployment-charts@master] api-gateway: add Authorization header to access-control-allow-headers

https://gerrit.wikimedia.org/r/626649

Change 626657 had a related patch set uploaded (by Hnowlan; owner: Hnowlan):
[operations/deployment-charts@master] api-gateway: correct cors http header list

https://gerrit.wikimedia.org/r/626657

Change 626657 merged by jenkins-bot:
[operations/deployment-charts@master] api-gateway: correct cors http header list

https://gerrit.wikimedia.org/r/626657

eprodromou closed this task as Resolved.Sep 16 2020, 2:58 PM